<div class="ui grid">
  <div class="two column row">
    <div class="column">
      <h1>Mesa de ayuda</h1>
    </div>
    <div class="right aligned column">

      <%#= select_tag(:period_id,
                     options_for_select(@periods.collect {|period| [period.name.upcase, period.id]}.sort),
                     class: 'student-period ui selection dropdown', prompt: "#{current_period.name.upcase}")%>

      <div class="ui right pointing dropdown green button">
        <div class="text">Opciones</div>
        <i class="dropdown icon"></i>
        <div class="menu">
          <a class="item" href="<%= new_admin_support_ticket_path %>" data-remote="true"> Crear ticket</a>
          <%= ticket_options_access %>
        </div>
      </div>
    </div>
  </div>
</div>

<div class="hr-divider"></div>

<script>
  $('.student-period').change(function (){

    $.ajax({
      url: `/admin/support/tickets/ticket_period_search`,
      method: 'GET',
      dataType: 'script',
      data: {
        period_id: $(this).val()
      }
    }).done(function (){
      // $('.right-column').hide()
    })
  })
</script>

